from fabric.api import env, local, cd
from fabric.contrib.console import confirm, prompt
import os

def ccg_checkout_tag():
    local('rm -rf fab-tmp')
    local('mkdir fab-tmp')
    print local('git tag -l')
    
    release = prompt('Please enter the release tag name: ')
    release = release.strip('/') # remove leading and trailing slashes so path is not mucked up
    local("git clone %s %s" % (os.path.join(env.git_trunk_url, env.app_name), os.path.join('fab-tmp', env.app_name)))
    with cd(os.path.join('fab-tmp', env.app_name)):
        local("git checkout %s" % release)

    return release


def ccg_checkout_trunk():
    local('rm -rf fab-tmp')
    local('mkdir fab-tmp')
    local("git clone %s %s" % (os.path.join(env.git_trunk_url, env.app_name), os.path.join('fab-tmp', env.app_name)))

    # we return the target name, which is snapshot for trunk (just to be inconsistent)
    return 'snapshot'
