from fabric.api import env, local
from fabric.contrib.console import confirm, prompt
import os

def ccg_checkout_tag():
    local('rm -rf fab-tmp')
    local('mkdir fab-tmp')
    print local('svn list ' + env.svn_tags_url)
    
    release = prompt('Please enter the release tag name: ')
    release = release.strip('/') # remove leading and trailing slashes so path is not mucked up
    local('svn checkout ' + env.svn_tags_url + '/' + release + ' ./fab-tmp/')

    return release


def ccg_checkout_trunk():
    local('rm -rf fab-tmp')
    local('mkdir fab-tmp')
    print local('svn checkout ' + env.svn_trunk_url + ' ./fab-tmp/')

    # we return the target name, which is snapshot for trunk (just to be inconsistent)
    return 'snapshot'
